MQMonitor and MQ version 8.0 failing with "Reason code 6114 MQRC_INSUFFICIENT_DATA"

Document ID : KB000094244
Last Modified Date : 03/05/2018
Show Technical Document Details
Issue:
Trying to monitor MQ Queue mangers running in MQ version 8 is failing with message like the one below in the agent log

4/09/18 10:01:34 AM CEST [ERROR] [com.wily.powerpack.websphereMQ.agent.MQMonitor.TracerDriverThread] MQMonitor: For configuration instance MQSERVER01@mqserver01 and the drivers(namelist,cluster) an error occured in sending query to MQ. The target MQ (mymqserver.mydomain.com:1414) may be down. Reason code 6114 MQRC_INSUFFICIENT_DATA

We have tried with agent version 9.7 and 10.5 the result is the same in each case



 
Resolution:
The customer had deployed a jar file (com.ibm.mq.jar) from mismatched version of the MQ server/client version being used to the MQ Monitor agent lib folder. Once the MQ8 jar version was deployed the problem was resolved